Subject: Re: Is __imp_reent_data Deprecated? (a.k.a Problem #3 Building Cygwin PostgreSQL)
From: Jason Tishler <[email-masked]>
To: Cygwin <[email-masked]>
Date: Fri, 22 Sep 2000 13:18:30 -0400

I think that Chris meant to reply to the list too...

On Fri, Sep 22, 2000 at 01:02:17PM -0400, Chris Faylor wrote:
> On Fri, Sep 22, 2000 at 09:37:15AM -0400, Jason Tishler wrote:
> >While building PostgreSQL 7.0.2 on a stock Cygwin 1.1.4, I had problems
> >during the linking phase because of the attached file contributed by Mumit
> >Khan.  Specifically, I had an undefined reference to '__imp_reent_data'
> >due to the following line:
> >
> >    _impure_ptr = __imp_reent_data;
> >
> >Reading the comments, I can only assume that '__imp_reent_data' is a
> >vestige of b19.  If so, what is the appropriate analog for the Net
> >release?
> >
> >BTW, searching the archives I found exactly the same problem as
> >documented by:
> >
> >    http://sources.redhat.com/ml/cygwin/2000-07/msg00629.html
> >
> >Unfortunately, there was no response to this post.  Hopefully, I will
> >be more fortunate.  At least, I can try, try again...
> 
> reent_data is exported by the  cygwin.def file.  Check the sources.
> 
> It looks like the variable is not being correctly *declared* using
> declspec(dllimport).  Changing the source to use that rather than
> trying to kludge the name with an __imp_ naming convention will probably
> solve the problem.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]